## gnome-shell-extension-pop-shell-1.2.0 p20250710

=== debian/changelog ===
pop-shell (1.1.0) focal; urgency=medium

  * Bug fixes & Launcher update w/ plugin support

 -- Michael Aaron Murphy <michael@system76.com>  Fri, 11 Dec 2020 13:27:27 -0700

pop-shell (1.0.0) focal; urgency=medium

  * First stable release

 -- Michael Aaron Murphy <michael@system76.com>  Thu, 29 Oct 2020 11:57:36 -0600

pop-shell (0.1.0) focal; urgency=medium

  * Initial release.

 -- Jeremy Soller <jeremy@system76.com>  Thu, 14 Nov 2019 21:35:19 -0700
