=== debian/control ===
Source: pop-shell
Section: gnome
Priority: optional
Maintainer: System76 <info@system76.com>
Build-Depends: debhelper-compat (=10), libglib2.0-bin, node-typescript
Standards-Version: 3.9.8
Homepage: https://github.com/pop-os/shell
Vcs-Git: https://github.com/pop-os/shell

Package: pop-shell
Architecture: all
Depends:
    ${misc:Depends},
    pop-launcher,
    pop-shell-shortcuts,
    fd-find
Recommends: pop-shell-plugin-system76-power, system76-scheduler
Replaces: gnome-control-center-data (<< 1:3.38.1-2ubuntu1pop1~)
Breaks: gnome-control-center-data (<< 1:3.38.1-2ubuntu1pop1~)
Description: Pop!_OS Shell
