=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BASEDIR=debian/pop-shell/usr/share/gnome-shell/extensions/pop-shell@system76.com

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
